QGIS Application - Bug report #7595
QgsProject writeEntry not safe
2013-04-13 12:13 AM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16525

Description

QDomDocument::createElement ( const QString & tagName )

If tagName is not a valid XML name, the behavior of this function is governed by QDomImplementation::InvalidDataPolicy

http://doc.qgt.digia.com/4.6/gdomimplementation.htmi#InvalidDataPolicy-enum

Default behaviour seems that data are stored anyway.

If a plugin messes up with this, the project file is not readable anymore.

History

#1 - 2013-04-13 12:22 AM - Denis Rouzaud

https://github.com/qgis/Quantum-GIS/pull/523

#2 - 2013-04-13 12:25 AM - Denis Rouzaud
- % Done changed from 0 to 100
- Status changed from Open to Closed

2025-04-26

1/1



http://doc.qt.digia.com/4.6/qdomimplementation.html#InvalidDataPolicy-enum
https://github.com/qgis/Quantum-GIS/pull/523

